package com.miya.fastcashier.net

import java.io.Serializable

/**
 * 接口请求后返回的基础response
 */
data class BaseResponse<T>(val code: String, val msg: String, val data: T) : Serializable {

    fun isSuccess(): Boolean {
        return code.equals("200")
    }

    fun getError(): String {
        return msg
    }
}